#define _CRT_SECURE_NO_WARNINGS
#define _SILENCE_CXX17_C_HEADER_DEPRECATION_WARNING
#include <bits/stdc++.h>
using namespace std;
double pi2 = acos(-1) * 2;
int main()
{
    int T, N;
    cin >> T;
    while (T--)
    {
        cin >> N;
        if (N)
            printf("%.8lf\n", N * N / pi2);
        else
            puts("Impossble");
    }
    return 0;
}
